const gulp = require("gulp");
const sass = require("gulp-sass")(require("sass"));
const concat = require("gulp-concat");
const uglify = require("gulp-uglify");
const cleanCSS = require("gulp-clean-css");
const sourcemaps = require("gulp-sourcemaps");

const paths = {
  scss: ["scss/**/*.scss", "./components/**/*.scss", "./modules/**/*.scss"],
  js: [, "utils/**/*.js", "./components/**/*.js", "./modules/**/*.js"],
};

gulp.task("styles", function () {
  return gulp
    .src(paths.scss)
    .pipe(sourcemaps.init())
    .pipe(sass().on("error", sass.logError))
    .pipe(cleanCSS())
    .pipe(concat("main.css"))
    .pipe(sourcemaps.write("."))
    .pipe(gulp.dest("../../wwwroot/css"));
});

gulp.task("scripts", function () {
  return gulp
    .src(paths.js)
    .pipe(sourcemaps.init())
    .pipe(concat("bundle.js"))
    .pipe(uglify())
    .pipe(sourcemaps.write("."))
    .pipe(gulp.dest("../../wwwroot/scripts"));
});

gulp.task("watch", function () {
  gulp.watch(paths.scss, gulp.series("styles"));
  gulp.watch(paths.js, gulp.series("scripts"));
});

gulp.task("default", gulp.series("styles", "scripts", "watch"));
