var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import path from "path";
import fs from "fs";
export const createReadme = (frontendDir, frontendTech) => __awaiter(void 0, void 0, void 0, function* () {
    const readmePath = path.join(frontendDir, "README.md");
    const readmeContent = `
    # Frontend Setup

    This project uses Node.js version ${process.version}. To ensure compatibility, please use [nvm](https://github.com/nvm-sh/nvm) to manage your Node.js versions.

    ## Instructions

    1. Install nvm (Node Version Manager) if you haven't already. Follow the instructions [here](https://github.com/nvm-sh/nvm#installing-and-updating).

    2. Use nvm to install and use the correct Node.js version:

    \`\`\`sh
    nvm install ${process.version}
    nvm use ${process.version}
    \`\`\`

    3. Install the project dependencies:

    \`\`\`sh
    npm install
    \`\`\`

    4. Follow the specific instructions for the chosen frontend technology.

    ## Frontend Technology

    The chosen frontend technology for this project is **${frontendTech}**.
    `;
    fs.writeFileSync(readmePath, readmeContent);
    console.log(`README.md created successfully at ${readmePath}\n`);
});
